package fr.insarouen.asi.document.quizz.webSemantique.FrDBPedia;

import fr.insarouen.asi.document.quizz.QuestionReponses;
import fr.insarouen.asi.document.quizz.QuestionReponsesFactory;
import java.util.Random;
import java.util.List;
import java.util.ArrayList;
import org.apache.jena.query.QuerySolution;
import org.apache.jena.rdf.model.RDFNode;
import fr.insarouen.asi.document.quizz.webSemantique.Outils;
import fr.insarouen.asi.document.quizz.webSemantique.QuestionReponsesWebSemantique;

public class QuestionReponsesCapitalesFactory implements QuestionReponsesFactory {

    static private Random generateur = new Random();

    private List<String> getURIPays() {
	List<String> res = new ArrayList<String>();
	RDFNode rdfName;
	String request = "select ?uri where{\n"
	    + "?uri rdf:type <http://dbpedia.org/ontology/Country>."
	    + "?uri <http://fr.dbpedia.org/property/capitale> ?cap."
	    + "}";
        for (QuerySolution solution : Outils.SPARQLQuerySolutions(QuestionReponsesFrDbpedia.getEntreeSparql(), QuestionReponsesWebSemantique.getPrefixSparql(), request)) {
            rdfName = solution.get("uri");
            res.add(rdfName.toString());
        }
	return res;
    }

    public QuestionReponses getQuestionReponses() {
	List<String> ls = getURIPays();
	int pos = generateur.nextInt(ls.size());
	return new QuestionReponsesCapitales(ls.get(pos));
    }
}
