package fr.insarouen.asi.document.quizz.webSemantique;

import java.net.URL;
import com.hp.hpl.jena.query.Query;
import com.hp.hpl.jena.query.QueryExecution;
import com.hp.hpl.jena.query.QueryExecutionFactory;
import com.hp.hpl.jena.query.QueryFactory;
import com.hp.hpl.jena.query.QuerySolution;
import com.hp.hpl.jena.query.ResultSet;
import com.hp.hpl.jena.rdf.model.RDFNode;

public class Test {
    public static void main(String args[]) throws Exception{
	URL _sparqlEntry = new URL("http://fr.dbpedia.org/sparql");
	
	String PREFIX = "PREFIX rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#>\n";
	PREFIX = PREFIX + "PREFIX rdfs: <http://www.w3.org/2000/01/rdf-schema#>\n";

        RDFNode rdfName;

        String request = "select ?name where{\n"
                + "?uri rdf:type <http://dbpedia.org/ontology/Country>.\n"
                + "?uri rdfs:label ?name.\n"
                + "} LIMIT 100";

        for (QuerySolution solution : Outils.SPARQLQuerySolutions(_sparqlEntry, PREFIX, request)) {
            rdfName = solution.get("name");
            System.out.println(rdfName.toString());
        }
    }
  
}
