package fr.insarouen.asi.document.quizz.webSemantique.Wikidata;

import fr.insarouen.asi.document.quizz.QuestionReponses;
import java.net.URL;
import java.net.MalformedURLException;
import fr.insarouen.asi.document.quizz.webSemantique.QuestionReponsesWebSemantique;

public abstract class QuestionReponsesWikidata extends QuestionReponsesWebSemantique {  
    public QuestionReponsesWikidata(String[] _reponses, int _indiceBonneReponse) {
	super(_reponses,_indiceBonneReponse);
    }
    public static String getPrefixSparql() {
	String  res = QuestionReponsesWebSemantique.getPrefixSparql();
	res = res + "PREFIX wd: <http://www.wikidata.org/entity/>";
	res = res + "PREFIX wdt: <http://www.wikidata.org/prop/direct/>";
	res = res + "PREFIX p: <http://www.wikidata.org/prop/>";
	res = res + "PREFIX ps: <http://www.wikidata.org/prop/statement/>";
	res = res + "PREFIX pq: <http://www.wikidata.org/prop/qualifier/>";
	return res;
    }
    public static URL getEntreeSparql() {
	URL res = null;
	try {
	    res = new URL("https://query.wikidata.org/sparql");
	} catch (MalformedURLException e) {}
	return res;
    }
}
