package fr.insarouen.asi.document.quizz;

import java.util.Scanner;
import fr.insarouen.asi.document.quizz.webSemantique.FrDBPedia.QuestionReponsesCapitalesFactory;

public class Main {
    private static QuestionReponsesFactory createursDeQuestion = new QuestionReponsesGeneralesFactory();

    private static void poserQuestion(QuestionReponses qr) {
	System.out.println("Domaine : " + qr.getDomaine());
	System.out.println(qr.getQuestion());
	for(int i=0; i<qr.getReponses().length; i++)
	    System.out.println("  Reponse "+i+" : "+qr.getReponses()[i]);
    }

    private static void verifierReponse(QuestionReponses qr) {
	int choixUtilisateur;
	Scanner sc = new Scanner(System.in);
	
	do {
	    System.out.print("  Votre réponse : ");
	    choixUtilisateur = sc.nextInt();
	} while((choixUtilisateur < 0) || (choixUtilisateur >= qr.getReponses().length));
	if (choixUtilisateur == qr.getIndiceBonneReponse())
	    System.out.println("  Bonne réponse");
	else
	    System.out.println("  Mauvaise réponse, la bonne réponse est "+qr.getReponses()[qr.getIndiceBonneReponse()]);
    }

    public static void main(String args[]) {
	QuestionReponses qr;
	while (true) {
	    qr = createursDeQuestion.getQuestionReponses();
	    poserQuestion(qr);
	    verifierReponse(qr);
	}
    }
    
}
