package fr.insarouen.asi.document.quizz;

import java.lang.Math; 

public abstract class QuestionReponses {
    private int indiceBonneReponse;
    private String[] reponses;
        
    public QuestionReponses(String[] _reponses, int _indiceBonneReponse) {
	String temp;
	int nellePos;

	reponses = _reponses;
	indiceBonneReponse = _indiceBonneReponse;

	for (int i = 0; i < reponses.length; i++) {
	    nellePos = Aleatoire.entierAleatoire(0, reponses.length);
	    temp = reponses[i];
	    reponses[i] = reponses[nellePos];
	    reponses[nellePos] = temp;
	    if (indiceBonneReponse == i)
		indiceBonneReponse = nellePos;
	    else
		if (indiceBonneReponse == nellePos)
		    indiceBonneReponse = i;
	}
    }

    public abstract String getDomaine();
    public abstract String getQuestion();


    public String[] getReponses() {
	return reponses;
    }

    public int getIndiceBonneReponse() {
	return indiceBonneReponse;
    }
}
