package fr.insarouen.asi.document.quizz;

public class QuestionReponsesGeneralesFactory implements QuestionReponsesFactory {
    QuestionReponsesFactory[] lesFactories;

    public QuestionReponsesGeneralesFactory() {
	lesFactories = new QuestionReponsesFactory[]{new QuestionReponsesAdditionFactory(), 
						     new fr.insarouen.asi.document.quizz.webSemantique.FrDBPedia.QuestionReponsesCapitalesFactory(),
						     new fr.insarouen.asi.document.quizz.webSemantique.Wikidata.QuestionReponsesCapitalesFactory()};
    }

    public QuestionReponses getQuestionReponses() {
	return lesFactories[Aleatoire.entierAleatoire(0,lesFactories.length)].getQuestionReponses();
    }
}
