package fr.insarouen.asi.document.quizz.webSemantique;

import org.apache.jena.query.Query;
import org.apache.jena.query.QueryExecution;
import org.apache.jena.query.QueryExecutionFactory;
import org.apache.jena.query.QueryFactory;
import org.apache.jena.query.QuerySolution;
import org.apache.jena.query.ResultSet;
import java.net.URL;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author delestre
 */
public abstract class Outils {    
    public static List<QuerySolution> SPARQLQuerySolutions(URL _sparqlEntry, String _prefix, String _request) {
        String sparqlRequest = _prefix + _request;
        Query request;
        QueryExecution queryExecution;
        ResultSet results;
        List<QuerySolution> solutions = new ArrayList<QuerySolution>();

        request = QueryFactory.create(sparqlRequest);
        queryExecution = QueryExecutionFactory.sparqlService(_sparqlEntry.toString(), request);   
        results = queryExecution.execSelect();
        while (results.hasNext()) {
            solutions.add(results.nextSolution());
        }
        queryExecution.close();  
        return solutions;
    }
}
